Subject: bug#41474: closed (I'v send outdated patches)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 May 2020 18:39:02 +0000

Your bug report

#41474: [PATCH 0/5] Add pEp (pretty Easy privacy)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41474: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41474
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: I'v send outdated patches
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Sat, 23 May 2020 20:38:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I'v send outdated patches. It's easier for review if I open a new issue.

Subject: [PATCH 0/5] Add pEp (pretty Easy privacy)
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Sat, 23 May 2020 10:56:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This adds the build tools and libraries for pretty Easy Privacy, a library for
automatic key management and encryption of messages.

How shall we name the packages here?
I'd appreciate feedback to the package names, since the original packages have
quiet uncommon names:

- pEpEngine -> pep-engine (main library)
- libpEpAdapter -> intermediate layer library
- pEpPythonAdapter -> python-pep-adapter
- pEpJNIAdapter -> java-pep-adapter

The project as other packages like these:
- pEpQtAdapter
- pEpJSONServerAdapter
- pEpObjCAdapter

In Arch Linux AUR packages are named pep-engine, libpep-adapter,
python-pep-adapter, pep-jni-adapter, pep-qt-adapter.

Hartmut Goebel (5):
  gnu: Add yml2.
  gnu: Add pep-engine.
  gnu: Add libpepadapter.
  gnu: Add python-pep-adapter.
  gnu: Add java-pep-adapter.

 gnu/local.mk         |   1 +
 gnu/packages/pep.scm | 349 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 350 insertions(+)
 create mode 100644 gnu/packages/pep.scm

-- 
2.21.3